/**
 * Created by IntelliJ IDEA.
 * User: m09fpv
 * Date: 30.09.2009
 * Time: 17:33:28
 * To change this template use File | Settings | File Templates.
 */
import java.util.*;
import java.io.*;
public class a {
public static void main(String[]  args) throws Exception {
Scanner p=new  Scanner (new File("ratio.in"));
PrintWriter a=new PrintWriter(new File("ratio.out"));
    Locale.setDefault( Locale.US );
    int t,k;
    double s;
    k=p.nextInt();
    t=p.nextInt();
    if (t==0)
    a.print("V predyduschej zadache uzhe pisali, chto na nol' delit' nel'zya!!!");
    else
{
    s=(double)k/t;
    a.format("%.6f", s);
    //a.print(s);
}
    a.close();
    p.close();
}
}
